net.sf.okapi.common.resource

## Class StartGroup

- java.lang.Object
- - net.sf.okapi.common.resource.BaseNameable
  - - net.sf.okapi.common.resource.BaseReferenceable
    - - net.sf.okapi.common.resource.StartGroup

- All Implemented Interfaces:
    IResource, INameable, IReferenceable, IWithAnnotations, IWithBilingualProperties, IWithProperties
  Direct Known Subclasses:
    StartSubfilter

      public class StartGroup
      extends BaseReferenceable

  Resource associated with the filter event START_GROUP.

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseReferenceable

      `parentId, refCount`

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseNameable

      `annotations, id, isTranslatable, mimeType, name, preserveWS, properties, skeleton, sourceProperties, type`

    - ### Fields inherited from interface net.sf.okapi.common.IResource

      `COPY_ALL, COPY_CONTENT, COPY_PROPERTIES, COPY_SEGMENTATION, COPY_SEGMENTED_CONTENT, CREATE_EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartGroup()`
    `StartGroup(java.lang.String parentId)` Creates a new StartGroup object.
    `StartGroup(java.lang.String parentId, java.lang.String id)` Creates a new startGroup object with the identifier of the group's parent and the group's identifier.
    `StartGroup(java.lang.String parentId, java.lang.String id, boolean isReference)` Creates a new startGroup object with the identifier of the group's parent, the group's identifier, and an indicator of wether this group is a referent or not.

  - ### Method Summary

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseReferenceable

      `getParentId, getReferenceCount, isReferent, setIsReferent, setParentId, setReferenceCount`

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseNameable

      `createTargetProperty, getAnnotation, getAnnotations, getId, getMimeType, getName, getProperties, getProperty, getPropertyNames, getSkeleton, getSourceProperties, getSourceProperty, getSourcePropertyNames, getTargetLocales, getTargetProperty, getTargetPropertyNames, getType, hasProperty, hasSourceProperty, hasTargetProperty, isTranslatable, preserveWhitespaces, removeProperty, removeSourceProperty, removeTargetProperty, setAnnotation, setId, setIsTranslatable, setMimeType, setName, setPreserveWhitespaces, setProperties, setProperty, setSkeleton, setSourceProperties, setSourceProperty, setTargetProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StartGroup

          public StartGroup()

    - #### StartGroup

          public StartGroup(java.lang.String parentId)

      Creates a new StartGroup object.
      Parameters:
        `parentId` - The identifier of the parent resource for this group.

    - #### StartGroup

          public StartGroup(java.lang.String parentId,
                            java.lang.String id)

      Creates a new startGroup object with the identifier of the group's parent and the group's identifier.
      Parameters:
        `parentId` - the identifier of the parent resource for this group.
        `id` - the identifier of this group.

    - #### StartGroup

          public StartGroup(java.lang.String parentId,
                            java.lang.String id,
                            boolean isReference)

      Creates a new startGroup object with the identifier of the group's parent, the group's identifier, and an indicator of wether this group is a referent or not.
      Parameters:
        `parentId` - the identifier of the parent resource for this group.
        `id` - the identifier of this group.
        `isReference` - true if this group is referred by another resource.